## wavenc wavenc |

## Types and Values

struct | GstWavEnc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstWavEnc

## Implemented Interfaces

GstWavEnc implements GstTagSetter and GstTocSetter.

## Description

Format an audio stream into the wav format.

### Example launch line

    1
    gst-launch-1.0 cdparanoiasrc mode=continuous ! queue ! audioconvert ! wavenc ! filesink location=cd.wav

Rip a whole audio CD into a single wav file, with the track table written into a CUE sheet inside the file

    1
    gst-launch-1.0 cdparanoiasrc track=5 ! queue ! audioconvert ! wavenc ! filesink location=track5.wav

Rip track 5 of an audio CD into a single wav file containing unencoded raw audio samples.

## Synopsis

### Element Information

plugin | wavenc
author | Iain Holmes <iain@prettypeople.org>
class | Codec/Muxer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 65535 ], format=(string){ S32LE, S24LE, S16LE, U8, F32LE, F64LE }, layout=(string)interleaved
| audio/x-alaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]
| audio/x-mulaw, rate=(int)[ 8000, 192000 ], channels=(int)[ 1, 2 ]

name | src
direction | source
presence | always
details | audio/x-wav
| audio/x-rf64

## Functions

## Types and Values

### struct GstWavEnc

    struct GstWavEnc;